<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
	Version 1.02 du 07/11/2003
		- Doublement du nombre de fichiers de sortie pour en produire sans la barre de navigation infrieure.
-->

<!--
	Version 1.01 du 26/09/2003
		- Cration de plusieurs documents de sortie pour chaque mot-clef trouv.
-->

<!--
	Version 1.0 du 25/09/2003
		- Cration
-->

<xsl:stylesheet extension-element-prefixes="saxon" version="1.0" xmlns:saxon="http://icl.com/saxon" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" encoding="ISO-8859-1"
		method="xml" version="xhtml1.0" indent="yes"/>
	<xsl:variable name="path" select="'../../../../../../Archives/Pajoueb/daggerfall/forum/'"/>
	<xsl:template match="/">
		<html lang="fr">
			<head>
				<title>Index</title>
				<xsl:element name="meta">
					<xsl:attribute name="name">author</xsl:attribute>
					<xsl:attribute name="content">Gilles Chagnon</xsl:attribute>
				</xsl:element>
				<xsl:element name="meta">
					<xsl:attribute name="name">keywords</xsl:attribute>
					<xsl:attribute name="content">index, Daggerfall, forum, Elder Scrolls</xsl:attribute>
				</xsl:element>
				<xsl:element name="meta">
					<xsl:attribute name="name">description</xsl:attribute>
					<xsl:attribute name="content">Index des articles archivs du forum Daggerfall</xsl:attribute>
				</xsl:element>
				<link href="../archiveforum.css" rel="stylesheet" type="text/css"/>
			</head>
			<body>
				<h1>Index</h1>
				<dl>
					<xsl:for-each select="//motclef">
						<xsl:sort select="@clef"/>
						<dt>
							<xsl:if test="not(preceding-sibling::motclef/@clef=@clef)">
								<xsl:value-of select="@clef"/>
								<xsl:variable name="clefminuscule" select="translate(@clef,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"></xsl:variable>
								<saxon:output href="{concat($path,'html/motsclefs/',$clefminuscule,'.html')}" method="xml">
									<html lang="fr">
										<head>
											<title>Index - Mot-clef "<xsl:value-of select="@clef"/>" </title>
											<xsl:element name="meta">
												<xsl:attribute name="name">author</xsl:attribute>
												<xsl:attribute name="content">Gilles Chagnon</xsl:attribute>
											</xsl:element>
											<xsl:element name="meta">
												<xsl:attribute name="name">keywords</xsl:attribute>
												<xsl:attribute name="content">index, Daggerfall, forum, Elder Scrolls,<xsl:value-of select="@clef"/>
												</xsl:attribute>
											</xsl:element>
											<xsl:element name="meta">
												<xsl:attribute name="name">description</xsl:attribute>
												<xsl:attribute name="content">Index des articles archivs du forum Daggerfall au sujet de "<xsl:value-of select="@clef"/>"</xsl:attribute>
											</xsl:element>
											<link href="../../archiveforum.css" rel="stylesheet" type="text/css"/>
										</head>
										<body>
											<div id="recherche">
											<h1>Rsultat de la recherche sur "<xsl:value-of select="@clef"/>"</h1>
											<xsl:variable name="cleflocale" select="@clef"></xsl:variable>
											<ul>
												<xsl:for-each select="//motclef">
												  <xsl:if test="@clef=$cleflocale"><li>
												  <xsl:element name="a">
												  <xsl:attribute name="href">
												  <xsl:value-of select="concat('../',substring-before(substring-after(@article,'xml/'),'.xml'),'.html')"/>
												  </xsl:attribute>
												  <xsl:value-of select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/sujet"/>
												  </xsl:element>&#160;-&#160;<xsl:if test="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@email">
												  <xsl:element name="a">
												  <xsl:attribute
												  name="href">mailto:<xsl:value-of select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@email"/>
												  </xsl:attribute>
												  <xsl:value-of select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@nom"/>
												  </xsl:element>
												  </xsl:if>
												  <xsl:if test="not(document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@email)">
												  <xsl:value-of select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@nom"/>
												  </xsl:if>&#160;(<xsl:value-of
												  select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/temps/@date"/>,
												  <xsl:value-of select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/temps/@heure"/>)</li>
												</xsl:if></xsl:for-each>
											</ul>
											</div>
											<div id="fin">
											<p class="fin">
												<img alt="[Barre dore]" height="14"
												  src="../../../images/doree.gif" width="576"/>
												<br/>
												<a href="../recherche.html">
												  <img alt="[Dragon bleu]" height="62"
												  src="../../../images/bluedrag.gif" width="65"/>
												  <br/> Retour  la page de recherche</a>
											</p>
											</div>
										</body>
									</html>
								</saxon:output>
								<saxon:output href="{concat($path,'html/motsclefs/',$clefminuscule,'sansfin.html')}" method="xml">
									<html lang="fr">
										<head>
											<title>Index - Mot-clef "<xsl:value-of select="@clef"/>" </title>
											<xsl:element name="meta">
												<xsl:attribute name="name">author</xsl:attribute>
												<xsl:attribute name="content">Gilles Chagnon</xsl:attribute>
											</xsl:element>
											<xsl:element name="meta">
												<xsl:attribute name="name">keywords</xsl:attribute>
												<xsl:attribute name="content">index, Daggerfall, forum, Elder Scrolls,<xsl:value-of select="@clef"/>
												</xsl:attribute>
											</xsl:element>
											<xsl:element name="meta">
												<xsl:attribute name="name">description</xsl:attribute>
												<xsl:attribute name="content">Index des articles archivs du forum Daggerfall au sujet de "<xsl:value-of select="@clef"/>"</xsl:attribute>
											</xsl:element>
											<link href="../../archiveforum.css" rel="stylesheet" type="text/css"/>
											<style type="text/css"><![CDATA[
												p.fin	{	display: none;
													}
											]]></style>
										</head>
										<body>
											<div id="recherche">
											<h1>Rsultat de la recherche sur "<xsl:value-of select="@clef"/>"</h1>
											<xsl:variable name="cleflocale" select="@clef"></xsl:variable>
											<ul>
												<xsl:for-each select="//motclef">
												  <xsl:if test="@clef=$cleflocale"><li>
												  <xsl:element name="a">
												  <xsl:attribute name="href">
												  <xsl:value-of select="concat('../',substring-before(substring-after(@article,'xml/'),'.xml'),'.html')"/>
												  </xsl:attribute>
												  <xsl:value-of select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/sujet"/>
												  </xsl:element>&#160;-&#160;<xsl:if test="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@email">
												  <xsl:element name="a">
												  <xsl:attribute
												  name="href">mailto:<xsl:value-of select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@email"/>
												  </xsl:attribute>
												  <xsl:value-of select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@nom"/>
												  </xsl:element>
												  </xsl:if>
												  <xsl:if test="not(document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@email)">
												  <xsl:value-of select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@nom"/>
												  </xsl:if>&#160;(<xsl:value-of
												  select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/temps/@date"/>,
												  <xsl:value-of select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/temps/@heure"/>)</li>
												</xsl:if></xsl:for-each>
											</ul>
											</div>
											<div id="fin">
											<p class="fin">
												<img alt="[Barre dore]" height="14"
												  src="../../../images/doree.gif" width="576"/>
												<br/>
												<a href="../recherche.html">
												  <img alt="[Dragon bleu]" height="62"
												  src="../../../images/bluedrag.gif" width="65"/>
												  <br/> Retour  la page de recherche</a>
											</p>
											</div>
										</body>
									</html>
								</saxon:output>
							</xsl:if>
						</dt>
						<dd>
							<xsl:element name="a">
								<xsl:attribute name="href">
									<xsl:value-of select="concat(substring-before(substring-after(@article,'xml/'),'.xml'),'.html')"/>
								</xsl:attribute>
								<xsl:value-of select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/sujet"/>
							</xsl:element>&#160;-&#160;<xsl:if test="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@email">
								<xsl:element name="a">
									<xsl:attribute name="href">mailto:<xsl:value-of select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@email"/>
									</xsl:attribute>
									<xsl:value-of select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@nom"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="not(document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@email)">
								<xsl:value-of select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/auteur/@nom"/>
							</xsl:if>&#160;(<xsl:value-of
							select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/temps/@date"/>,
								<xsl:value-of
							select="document(concat('xml/',substring-after(@article,'xml/')))/article/entete/temps/@heure"/>) </dd>
					</xsl:for-each>
				</dl>
				<p class="fin">
					<img alt="[Barre dore]" height="14" src="../../images/doree.gif" width="576"/>
					<br/>
					<a href="archive.html">
						<img alt="[Dragon bleu]" height="62" src="../../images/bluedrag.gif" width="65"/>
						<br/> Retour  l'archive</a>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
